Subject: Re: [1.8.0] 't/' is standard name for directory with tests

From: Jakub Narebski <[email-masked]>
Date: Tue, 1 Feb 2011 01:58:57 +0100

On Tue, 1 Feb 2011, Nicolas Pitre wrote:
> On Tue, 1 Feb 2011, Alex Budovski wrote:
> 
> > >> Nope.  't/' is the standard name for directory with "normal" tests, at
> > >> least in Perl / CPAN land, where TAP comes from ('xt/' is for extra
> > >> tests)
> > >
> > > So what?  It is not because Perl has set this horrible precedent that we
> > > have to perpetuate it.  I personally never saw t used as a directory
> > > name for tests before Git, and I'm not that young anymore unfortunately.

CPAN is around 21000 distributions and 88000 modules.  Most of those use
't/' for tests (default CPAN client to download and install modules runs
those tests before installing module).

> > The MySQL project (and its clones) also uses the t/ convention.
> 
> OK, that makes for another one.
> 
> Now what about those hundred counter-example projects _not_ using "t" 
> but something more descriptive?

You mean those counter-example projects that use and include comprehensive
tests, isn't it?

Well, GCC uses 'testsuite/'.  Mozilla uses 'testing/'.
-- 
Jakub Narebski
Poland